org.eclipse.rdf4j.sparqlbuilder.constraint

## Enum SparqlAggregate

- java.lang.Object
- - java.lang.Enum<SparqlAggregate>
  - - org.eclipse.rdf4j.sparqlbuilder.constraint.SparqlAggregate

- All Implemented Interfaces:
    Serializable, Comparable<SparqlAggregate>, SparqlOperator, QueryElement

      public enum SparqlAggregate
      extends Enum<SparqlAggregate>
      implements SparqlOperator

  The built-in SPARQL aggregates. Keeping this public until `Expressions` is completed.
  See Also:
    SPARQL Function Definitions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVG`
    `COUNT`
    `GROUP_CONCAT`
    `MAX`
    `MIN`
    `SAMPLE`
    `SUM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQueryString()`
    `static SparqlAggregate` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SparqlAggregate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVG

          public static final SparqlAggregate AVG

    - #### COUNT

          public static final SparqlAggregate COUNT

    - #### GROUP_CONCAT

          public static final SparqlAggregate GROUP_CONCAT

    - #### MAX

          public static final SparqlAggregate MAX

    - #### MIN

          public static final SparqlAggregate MIN

    - #### SAMPLE

          public static final SparqlAggregate SAMPLE

    - #### SUM

          public static final SparqlAggregate SUM

  - ### Method Detail

    - #### values

          public static SparqlAggregate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SparqlAggregate c : SparqlAggregate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SparqlAggregate valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Returns:
        the String representing the SPARQL syntax of this element

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.